[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: grep 2.5: --only for long line runs forever

From: Stepan Kasal
Subject: Re: grep 2.5: --only for long line runs forever
Date: Mon, 20 Jan 2003 14:17:52 +0100
User-agent: Mutt/


On Mon, Jan 20, 2003 at 12:15:32PM +0100, Sven Hartrumpf wrote:
> The problem disappears when I run the same grep-2.5 binary on a more
> recent Linux distribution (SuSE 8.1 instead of SuSE 7.2). So, an old
> libc or old libpcre is the culprit, not grep itself.

not libpcre, pcre (Perl-Compatible Regular Expressions) is used only
when you use grep -P (in recent evrsions of GNU grep).

When you use grep -G (default), or grep -E (egrep), the system regex
library is used.

> I think I will upgrade Linux or use a recent gawk.

Another variant would be to recompile grep with the regex lib from
current glibc, but it would present some work for you (not big).
Mail me/us if you are interested in details.

BTW, upcoming versions of gawk will probably use the regex library from
current glibc.

> Thanks for all your help
> Sven

It was a pleasure,
        Stepan Kasal

reply via email to

[Prev in Thread] Current Thread [Next in Thread]